import '../../../../food_delivery_client.dart';

class WLayout extends StatelessWidget {
  const WLayout({
    super.key,
    this.bgColor = AppColors.cFFFFFF,
    this.bottom = true,
    this.top = true,
    required this.child,
  });

  final Color bgColor;
  final bool bottom;
  final bool top;
  final Widget child;

  @override
  Widget build(BuildContext context) {
    return Container(
      color: bgColor,
      child: SafeArea(top: top, bottom: bottom, child: child),
    );
  }
}
